
QGIS Application - Feature request #5892

Enhance the identify on WMS using GetFeatureInfo

2012-06-28 03:05 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Pull Request or Patch supplied:No Resolution: invalid

Easy fix?: No Copied to github as #: 15342

Description

(see also ticket #5887)

Actually qgis always call an identify on WMS using 

INFO_FORMAT=text/plain

An useful enhanced should be add a properties at wms-layer-level settable from user to choose the format for the getfeatureinfo request.

The available values should be:

text/plain

text/xml

text/html

Related issues:

Related to QGIS Application - Feature request # 6575: Print the contents of i... Closed 2012-10-26

Duplicates QGIS Application - Feature request # 5887: qgis on a GetFeatureInf... Closed 2012-06-27

History

#1 - 2012-06-28 04:04 AM - aperi2007 -

I guess it should better if the choose was based on list of formats available from getcapabilities for that layer.

#2 - 2012-06-28 04:13 AM - Jürgen Fischer

- Subject changed from Enhance che identify on WMS using GetFeatureInfo to Enhance the identify on WMS using GetFeatureInfo

aperi2007 - wrote:

I guess it should better if the choose was based on list of formats available from getcapabilities for that layer.

sure. joining with #5887

#3 - 2012-08-21 03:13 AM - aperi2007 -

After some tests on getFeatureInfo.

Another good and useful format is GML.

It is useful because it allow to retrieve the geometry in a standard mode.

Also seem all the wms servers allow a GML output.
this is an example for an output GML.

http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmscatasto&#38;language=ita&#38;SERVICE=WMS&#38;VERSION=1.3.0&#3

;REQUEST=GetFeatureInfo&#38;BBOX=1617043.371614,4810657.326353,1617576.552829,4810931.280957&#38;CRS=EPSG:3003&#38;WIDTH=581&#38;HEIGHT=437&#38;LAYERS=rt_cat.idcatbdfog.rt&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_cat.idcatbdfog.rt&#38;FEAT

81&#38;HEIGHT=437&#38;LAYERS=rt_cat.idcatbdfog.rt&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_cat.idcatbdfog.rt&#38;FEATURE_COUNT=10&#38;INFO_FORMAT=text/gml&#38;I=240&#38;J=200

EATURE_COUNT=10&#38;INFO_FORMAT=text/gml&#38;I=240&#38;J=200

Please notice it return a multipart http response where the first part is the XSD schema and the second part is the GML data.

So with an unique response it return the two files.

#4 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#5 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2012-10-30 06:02 AM - aperi2007 -

- Resolution set to invalid

- Status changed from Open to Closed

I close this ticket to open a new ticket with better explanation of what need.
